<?php
/**
* @version      2.2.0 10.09.2010
* @author       MAXXmarketing GmbH
* @package      Jshopping
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.controller');

class JshoppingControllerWishlist extends JController{
    
    function display(){
        $this->view();    
    }
    
    function view(){
		
	    $jshopConfig = &JSFactory::getConfig();
		$db = &JFactory::getDBO();
				
		$cart = &JModel::getInstance('cart', 'jshop');
		$cart->load("wishlist");
		
		$cart->addLinkToProducts(1, "wishlist");

        if (getThisURLMainPageShop()){        
            $document =& JFactory::getDocument();
            $document->setTitle(_JSHOP_WISHLIST);            
            appendPathWay(_JSHOP_WISHLIST);
        }
		
		$view=&$this->getView("cart", 'html');
        $view->setLayout("wishlist");
        
        $view->assign('config', $jshopConfig);
		$view->assign('products', $cart->products);
		$view->assign('image_product_path', $jshopConfig->image_product_live_path);
		$view->assign('image_path', $jshopConfig->live_path);
		$view->assign('no_image', 'noimage.gif');
		$view->assign('href_shop', SEFLink('index.php?option=com_jshopping&controller=category'));
		$view->assign('href_checkout', SEFLink('index.php?option=com_jshopping&controller=cart&task=view'));
               
		$view->display();
    }
    
    function delete(){
        $cart = &JModel::getInstance('cart', 'jshop');
        $cart->load('wishlist');    
        $cart->delete(JRequest::getInt('number_id'));
        
        $this->setRedirect( SEFLink('index.php?option=com_jshopping&controller=wishlist&task=view',0,1) );
    }
    
    function remove_to_cart(){
        
        $number_id = JRequest::getInt('number_id');
        
        $cart = &JModel::getInstance('cart', 'jshop');
        $cart->load("wishlist");                
        $prod = $cart->products[$number_id];
        $attr = unserialize($prod['attributes']);        
        $cart->delete($number_id);
                        
        $cart = &JModel::getInstance('cart', 'jshop');
        $cart->load("cart");        
        $cart->add($prod['product_id'], $prod['quantity'], $attr);

        $this->setRedirect( SEFLink('index.php?option=com_jshopping&controller=cart&task=view',0,1) );
    }
   
}

?>